Subject: [os2genau_digest] No. 1964
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 10 Jun 2010 00:00:24 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 09 June 2010
 Number  1964
**************************************************

Subjects for today
 
1  Re:  EPson 680 reset Was:(CUPS problem) : Ed Durrant <edurrant at durrant dot mine dot nu>
1  Re:  How to install IBM Works? : Nicholas Lysaght <nicholasrf at gmail dot com>
2  Re:  How to install IBM Works? : Peter Moylan <peter at pmoylan dot org>
2  Re:  How to install IBM Works? : Nicholas Lysaght <nicholasrf at gmail dot com>

**= Email   1 ==========================**

Date:  Wed, 09 Jun 2010 06:57:40 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  EPson 680 reset Was:(CUPS problem)

Alan Duval wrote:
>>
>> By the way, going back to the Epson 680 - it has a timed/usage logic 
>> in it - that stops the printer from working until it is serviced 
>> (Epson say because ink sponges get full or something). There is a 
>> free Windoze utility that allows you to reset the counters. I know I 
>> had exactly that printer for a long time and had to reset it twice, 
>> which effectively extended its useful life by about 4 years.
>>
> No light came on when I plugged in the Epson before and pressed the 
> start button. Is this what happened when you had the problem with the 
> timed/usage logic program?  If so, I'll fire up windows and try to get 
> the win drivers for the Epson and hopefully reset the counters.
>
> Regards,
>
> Alan
> -
It's so long ago Alan, I honestly can't remember!

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   1 ==========================**

Date:  Wed, 9 Jun 2010 10:02:05 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  How to install IBM Works?

Hi Peter.

On 8 June 2010 20:24, Peter Moylan <peter at pmoylan dot org> wrote:
> Well, I've now installed eCS 2.0. It all went smoothly apart from the
> usual problem of getting Thunderbird to use my old profile instead of
> creating a new one. (I've never understood why it has to be so difficult
> to migrate mail from Thunderbird to Thunderbird.)
>
> It turns out, however, that I violated my rule against putting any
> applications on the C: drive. Since it has been reformatted, I've lost
> my entire diary. (I've used the IBM Works diary for years. It's better
> than any other diary application I've tried.) I'll need a bit of luck,
> and a bunch of phone calls, not to miss too many appointments over the
> coming weeks.
>
> OK, I've managed to track down my old eCS 1.2 CDs, and found a copy of
> IBM Works. It didn't immediately work, because of missing DLLs that used
> to be included with Warp 4, but I've copied those DLLs over from an
> older computer. It still doesn't work, though. The command "fpwpim -M"
> should open up the Appointments application. Instead it opens something
> that immediately closes, and it happens so quickly that I don't even
> know what it opened.

FWIW I have been able to install IBM Works from both the old eCs 1.2
CD2 and eCs 2.0 GA CD2. There is a specialised IBM installer involved
(it's in a little blue/green box) involved, and if that didn't show
for whatever reason, there was no install). It always installed to the
eCs boot drive, and I just let it do it's own thing.

Unfortunately, there is a downside that I've discovered. If you use
one of the Templates, either from the Master Template Folder, or from
IBM Works itself, it will lock up the Desktop, and has to be deleted
by Command Line. But that may not affect your end use.
>
> I've tried moving it to the boot drive, because I know there used to be
> some ancient applications that insisted on being at root level on the
> boot drive, but in this case it didn't help.
>
> Most likely my problem is that I didn't use an installer. The catch is
> that I can't find anything that looks like an application installer on
> the eCS 1.2 "Applications" disk.

The same installer is used when Voice type is installed.

>It must have been somehow built into
> the overall OS installation process, and I'm not motivated to go and
> install 1.2 over the top of 2.0.
>
> Does anyone have any clues as to what to try next?

Is your 1.2 media not quite right? I think there is a zipped file
somewhere with instructions and the appropriate files to install IBM
Works without CD. I tried it without any luck, but I'm sure there are
people who have succeeded where I have not.

Hope that is of some help

Regards

NICK

>
> --
> Peter Moylan                          peter at pmoylan dot org
>                                      http://www.pmoylan dot org
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Wed, 09 Jun 2010 16:11:13 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  How to install IBM Works?

Nicholas Lysaght wrote:
> Hi Peter.
>
> On 8 June 2010 20:24, Peter Moylan <peter at pmoylan dot org> wrote:
>   
>> [Problems installing IBM Works]
>>
>>     
> The same installer is used when Voice type is installed.
>
>   
>> It must have been somehow built into
>> the overall OS installation process, and I'm not motivated to go and
>> install 1.2 over the top of 2.0.
>>
>> Does anyone have any clues as to what to try next?
>>     
>
> Is your 1.2 media not quite right? I think there is a zipped file
> somewhere with instructions and the appropriate files to install IBM
> Works without CD. I tried it without any luck, but I'm sure there are
> people who have succeeded where I have not.
>
>
>   
Thanks. I was just about to write that the problem is now solved. I
found the zipfile, but not the instructions, on the 1.2 CD. Then, just
today, I took another look and found that IBM Works is still included
with eCS 2.0. (Somehow I had missed seeing some of CD #2.) An
installation script for that is included, and now, after installing and
reboot, it works.)

In hindsight, I think I know why the version 1.2 one didn't work. To
begin with, there were some essential DLLs that weren't included. (Or,
at least, not included in that directory.) I fixed that. The bit I
failed to fix was including the IBM Works directory in the LIBPATH. I
would have thought it was sufficient to have "." in the LIBPATH, but
apparently not.

Sorry to lead you on a wild goose chase. If I had looked at the 2.0 CDs
more carefully I would have seen it.

I now know why I lost all my data. The IBM Installer for IBM Works
doesn't give you a choice of which partition to put it on, so it ends up
on drive C:, which is the one place you should never put personal files.
(Because you'll lose them on a system upgrade. I don't put application
files there either.) I thought that Microsoft was the only group stupid
enough to put "My Documents" on C:, but apparently someone in IBM was
also that stupid. I might try some experimenting to see whether I can
move it.

I'm now about to start phoning around to find out when my appointments are.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Wed, 9 Jun 2010 20:36:08 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  How to install IBM Works?

Hi Peter.

On 9 June 2010 14:11, Peter Moylan <peter at pmoylan dot org> wrote:
> Nicholas Lysaght wrote:
>> Hi Peter.
>>
>> On 8 June 2010 20:24, Peter Moylan <peter at pmoylan dot org> wrote:
>>
>>> [Problems installing IBM Works]
>>>
>>>
>> The same installer is used when Voice type is installed.
>>
>>
>>> It must have been somehow built into
>>> the overall OS installation process, and I'm not motivated to go and
>>> install 1.2 over the top of 2.0.
>>>
>>> Does anyone have any clues as to what to try next?
>>>
>>
>> Is your 1.2 media not quite right? I think there is a zipped file
>> somewhere with instructions and the appropriate files to install IBM
>> Works without CD. I tried it without any luck, but I'm sure there are
>> people who have succeeded where I have not.
>>
>>
>>
> Thanks. I was just about to write that the problem is now solved. I
> found the zipfile, but not the instructions, on the 1.2 CD. Then, just
> today, I took another look and found that IBM Works is still included
> with eCS 2.0. (Somehow I had missed seeing some of CD #2.) An
> installation script for that is included, and now, after installing and
> reboot, it works.)

Great.
>
> In hindsight, I think I know why the version 1.2 one didn't work. To
> begin with, there were some essential DLLs that weren't included. (Or,
> at least, not included in that directory.) I fixed that. The bit I
> failed to fix was including the IBM Works directory in the LIBPATH. I
> would have thought it was sufficient to have "." in the LIBPATH, but
> apparently not.
>
> Sorry to lead you on a wild goose chase. If I had looked at the 2.0 CDs
> more carefully I would have seen it.

Don't give it a second thought. These things happen.
>
> I now know why I lost all my data. The IBM Installer for IBM Works
> doesn't give you a choice of which partition to put it on, so it ends up
> on drive C:, which is the one place you should never put personal files.
> (Because you'll lose them on a system upgrade. I don't put application
> files there either.) I thought that Microsoft was the only group stupid
> enough to put "My Documents" on C:, but apparently someone in IBM was
> also that stupid. I might try some experimenting to see whether I can
> move it.

Again, the same would go for VT. I think this was a hangover from the
early days of Warp3, where everything went on the one drive (like
windows). That's not a worry for me, as I can access my relevant
IBMWorks file on another non-boot partition, which I back up.

>
> I'm now about to start phoning around to find out when my appointments are.

All the best. :-)

NICK
>
> --
> Peter Moylan                          peter at pmoylan dot org
>                                      http://www.pmoylan dot org
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG